/* Table of constant values */

static int c__6 = 6;
static int c__4 = 4;

int main(void)
{
    /* Initialized data */
    static double a[24] /* was [6][4] */ = { 1.,0.,-3.,2.,-1.,-6.,4.,
                     1.,1.,-1.,2.,0.,3.,1.,5.,1.,-1.,2.,2.,-1.,6.,1.,0.,-1. };
    /* Local variables */
    extern int afp4d_c(double *, int *, int *, double *, double *);
    static int i__;
    static double d1[6], d2[4];

#define a_ref(a_1,a_2) a[(a_2)*6 + a_1 - 7]

    afp4d_c(a, &c__6, &c__4, d1, d2);

    for (i__ = 1; i__ <= 6; ++i__) {
        printf("\n %16.7e %16.7e %16.7e %16.7e \n",
              a_ref(i__,1), a_ref(i__,2), a_ref(i__,3), a_ref(i__,4));
    }
    for (i__ = 0; i__ <=3; i__+=3) {
        printf("\n %16.7e %16.7e %16.7e \n",
              d1[i__], d1[i__+1], d1[i__+2]);
    }
    for (i__ = 0; i__ <=2; i__+=2) {
        printf("\n %16.7e %16.7e \n", d2[i__], d2[i__+1]);
    }
    return 0;
} /* main */

#undef a_ref
